### Function

# GdkPixbuf.Pixbuf.get_file_info_async

#### Declaration [src]

    void
    gdk_pixbuf_get_file_info_async (
      const gchar* filename,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously parses an image file far enough to determine its format and size.

For more details see `gdk_pixbuf_get_file_info()`, which is the synchronous version of this function.

When the operation is finished, `callback` will be called in the main thread. You can then call `gdk_pixbuf_get_file_info_finish()` to get the result of the operation.

#### Parameters

`filename` | `const gchar*`
| The name of the file to identify
| Ownership is not transferred to the callee
| The string is a file system path, using the OS encoding
`cancellable` | `GCancellable*`
| optional `GCancellable` object, `NULL` to ignore
| Can be `NULL`
| Ownership is not transferred to the callee
`callback` | `GAsyncReadyCallback`
| a `GAsyncReadyCallback` to call when the file info is available
`user_data` | `gpointer`
| the data to pass to the callback function